# Class AppConfigurationEntry.LoginModuleControlFlag

java.lang.Object
javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag

Enclosing class:
  `AppConfigurationEntry`

public static class AppConfigurationEntry.LoginModuleControlFlag extends Object
This class represents whether a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

Since:
  1.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AppConfigurationEntry.LoginModuleControlFlag`
  `OPTIONAL`
  Optional `LoginModule`.
  `static final AppConfigurationEntry.LoginModuleControlFlag`
  `REQUIRED`
  Required `LoginModule`.
  `static final AppConfigurationEntry.LoginModuleControlFlag`
  `REQUISITE`
  Requisite `LoginModule`.
  `static final AppConfigurationEntry.LoginModuleControlFlag`
  `SUFFICIENT`
  Sufficient `LoginModule`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Return a String representation of this controlFlag.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### REQUIRED

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUIRED
    Required `LoginModule`.

  - ### REQUISITE

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUISITE
    Requisite `LoginModule`.

  - ### SUFFICIENT

    public static final AppConfigurationEntry.LoginModuleControlFlag SUFFICIENT
    Sufficient `LoginModule`.

  - ### OPTIONAL

    public static final AppConfigurationEntry.LoginModuleControlFlag OPTIONAL
    Optional `LoginModule`.

- ## Method Details

  - ### toString

    public String toString()
    Return a String representation of this controlFlag.

    The String has the format, "LoginModuleControlFlag: flag", where flag is either required, requisite, sufficient, or optional.

    Overrides:
      `toString` in class `Object`
    Returns:
      a String representation of this controlFlag.